package main

import (
	"os"

	"github.com/fatih/color"
)

func main() {
	defer func() {
		if r := recover(); r != nil {
			log("main", 0, color.HiRedString("FATAL:")+"%v", r)
			os.Exit(1)
		}
	}()

	log("main", 0, "mtbf: "+color.HiGreenString("Mikrotik RouterOS bruteforce")+" | "+color.CyanString("v1.0.1"))

	ParseConfig()

	go ResultService()
	defer EndResults()

	LoadSources()
	defer CloseSources()

	ThreadService()

	log("main", 0, "finished")
}
